Subject: Re: how to use pkgtools/rc.subr
To: Klaus Heinz <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 12/10/2003 15:19:18
On Thu, 11 Dec 2003, Klaus Heinz wrote:

> how is pkgtools/rc.subr supposed to be used? As NetBSD does not need it,
> should we do it like this in the Makefile
>   .if ${OPSYS} != NetBSD
>   DEPENDS+= rc.subr-[0-9]*:../../pkgtools/rc.subr
>   .endif
> ? Does FreeBSD 5.x need rc.subr?

Please have a look at my wip/rc.subr (from pkgsrc-wip).

I use:
NOT_FOR_PLATFORM=       NetBSD-1.[5-9]*-* NetBSD-[2-9]*-* FreeBSD-[5-9]*-*

(as well as other fixes).

   Jeremy C. Reed